#include "robot.h"

int main(void)
{
	//初始化
	Robot::get()->Init();

	while (1) {
		// 检测接收的命令
		Robot::get()->CheckCommand();

		// 运动解算  把上位机下发的机器人的速度（线速度角速度）转为各个轮子的速度
		Robot::get()->DoKinmatics();

		// 根据轮子的编码器计算得到机器人的里程计
		Robot::get()->CalcOdom();

		// 读取imu的值
		Robot::get()->GetImuData();

		// 检测处理ps2的按键信息
		Robot::get()->CheckJoystick();
	}
}
